Subject: Re: [PATCH] netconsole support for b44

From: Matt Mackall <[email-masked]>
Date: Tue, 12 Oct 2004 16:57:32 -0500

On Wed, Oct 13, 2004 at 07:48:18AM +1000, Con Kolivas wrote:
> Matt Mackall wrote:
> >On Tue, Oct 12, 2004 at 09:39:23PM +1000, Con Kolivas wrote:
> >
> >>This patch adds poll support to the b44 driver to allow netconsole 
> >>support. Style lifted straight from 8139too.c
> >>
> >>here is the dmesg output with it in place:
> >>
> >>netconsole: device eth0 not up yet, forcing it
> >>netconsole: carrier detect appears flaky, waiting 10 seconds
> >>b44: eth0: Link is down.
> >>b44: eth0: Link is up at 100 Mbps, full duplex.
> >>b44: eth0: Flow control is on for TX and on for RX.
> >>netconsole: network logging started
> >>
> >>output confirmed by netcat on other system.
> >>
> >>Signed-off-by: Con Kolivas <[email-masked]>
> >
> >
> >+       disable_irq(dev->irq);
> >+       b44_interrupt (dev->irq, dev, NULL);
> >+       enable_irq(dev->irq);
> >
> >Aside from this bizarre whitespace convention and neglecting to cc:
> >me, looks good.
> >
> 
> sorry,sorry,thanks.
> 
> Can you explain where I went wrong in the whitespace so I don't make the 
> same mistake again? It looked pretty standard to me.

Stray space between b44_interrupt and args. 

> Should I nudge akpm with this or will it go via another route?

Jeff Garzik usually picks up net driver stuff, I think he got this one.

-- 
Mathematics is the supreme nostalgia of our time.